from django.conf.urls import include, url
# from django.core.urlresolvers import reverse
from django.urls import path
from rest_framework import routers
from recipe import views


# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [
    url(r'^recipe/(?P<pk>\d+)$', views.RecipeAPI.as_view(), name='recipe-detail'),
    url(r'^recipe/$', views.RecipeListAPI.as_view()),
    url(r'^week-recipe/$', views.WeekRecipeListAPI.as_view()),
    url(r'^daily-recipe/(?P<pk>\d+)$', views.DailyRecipeAPI.as_view(),
        name='dailyrecipe-detail'),
]
